* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    font-weight: 800;
    background-color: #F7D559;
    color: rgb(25, 70, 107);
    margin:0px;
}

:-webkit-any(article,aside,nav,section) h1 {
    font-size: auto;
    margin-block-start: 0;
    margin-block-end: 0;
}

hr {
    width: 8vw;
    margin-left: auto;
    margin-right: auto;
    height: 7px;
    background-color:rgb(25, 70, 107);
    border: none;
}

hr.line {
    margin-bottom: 5vw;
}


h1 {
    color: rgb(25, 70, 107);
    font-size: 10vw;
}

h3 {
    font-size: 5vw;
}


#main-h1 {
    padding-left: 3vw;
    padding-top: 9vw;
    font-size: x-large;
}

div#small-print {
    padding-bottom: 15vw;
    color: white;
    font-size: 4vw;
}

div#small-print:hover {
    text-decoration: line-through;
}

.contact a {
    display: inline-block;
    justify-content: space-evenly;
    padding-left: 3vw;
    font-size: 1.5em;
    padding-bottom: 3vw;
}

.contact a, .contact a:link, .contact a:visited {
    color: rgb(25, 70, 107);
    text-decoration: none;
}

.contact a:active, .contact a:hover  {
    color: #F7F6ED;
}


.blue, .blue p {
    background-color: rgb(25, 70, 107);
    color: #F7D559;
    padding: 2em;
    text-align: justify;
}

.blue h1 {
    color: white;
}

#about-me {
    line-height: 1em;
}

#skills {
    margin-left: 0.2em;
}

h1#about-me,  h1#skills, h1#work{
    padding-top: 7vw;
    padding-bottom: 6vw;
}

button {
    background-color: rgb(25, 70, 107);
    color: #F7D559;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: large;
    font-weight: bolder;
    position: relative;
    left: 3vw;
  }

  button a:link, button a:visited {
    color: #F7D559;
    text-decoration: none;
  }

  button:hover, button a:hover {
    background-color: #F7D559;
    color: rgb(25, 70, 107);
  }
 

.container {
    width: 90%;
    height: auto;
    display: inline-flex;
    align-items: center;
    padding-left: 5vw;
    flex-flow: column wrap;
}

header {
    background: black;
    z-index: 1;
}

header ::after{
    content: ' ';
    display: table;
    clear: both;
}

.logo {
    float: left;
    width: 10vh;
    height: auto;
    padding: 1em;
}

.logo:hover {
    filter: brightness(0) invert(1);
}

.navbar {
  position: -webkit-sticky; 
  position: sticky;
  top: 0;
  z-index: 1;
}

nav {
    float: right;
    padding-right: 2vw;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav li {
    display: inline-block;
    margin-left: 70px;
    padding-top: 19px;

    position: relative;
}
@media all and (max-width: 800px){
    nav li {
        display: flex;
        flex-direction: column;
        line-height: 2;
        align-items: flex-end;
        font-size: 0.6em;
        line-height: 1em;
    }

    nav a:hover::before {
        display: none;
    }

    .mobile {
        display: block;
    }
    .desktop {
        display: none;
    }
}

#last-li {
    padding-bottom: 1em;
}


nav a {
    color: #F7D559;
    text-decoration: none;
    font-size: 1.5em;
}

nav a:hover {
    color: white;
}

nav a::before {
    content: ' ';
    display: block;
    height: 5px;
    background-color: white;

    position: absolute;
    top: 0;
    width: 0%;
    transition: all ease-in-out 250ms;
}

nav a:hover::before {
    width: 100%;
}


.paragraph {
    text-align: justify;
    margin: 1vw;
}

.wheels, .BCS {
    max-width: 50vw;
    height: auto;
}

.wheels {
    border:solid;
    color: tan;
}

.BCS {
    border:solid;
    color: black;
}

.wrap {
  text-align: center;
  font-weight: 600;
  flex: auto;
}


.wrap * {
  box-sizing: border-box;
  transition: all .35s ease;
}

.wrap li {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding-left: 9em;
    font-size: x-large;
    list-style: outside none none;
    margin: .5em 1em;
    padding: 0;
}

.wrap p {
  padding: .5em .8em;
  color: white;
  position: relative;
  text-decoration: none;
  font-size: 20px;
}

.wrap p::before,
.wrap p::after {
  content: '';
  height: 14px;
  width: 14px;
  position: absolute;
  transition: all .35s ease;
  opacity: 0;
}

.wrap p::before {
  content: '';
  right: 0;
  top: 0;
  border-top: 3px solid rgb(25, 70, 107);
  border-right: 3px solid rgb(25, 70, 107);
  transform: translate(-100%, 50%);
}

.wrap p:after {
  content: '';
  left: 0;
  bottom: 0;
  border-bottom: 3px solid rgb(25, 70, 107);
  border-left: 3px solid rgb(25, 70, 107);
  transform: translate(100%, -50%)
}

.wrap p:hover:before,
.wrap p:hover:after{
  transform: translate(0,0);
  opacity: 1;
}

.wrap p:hover {
  color: rgb(25, 70, 107);
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}
@media all and (max-width: 800px){
    .grid {
        grid-template-columns: 1fr;
        justify-items: center;
        min-width: -webkit-fill-available;
    }
    .mobile {
        display: block;
    }
    .desktop {
        display: none;
    }
}


.bttn-work {
    margin-top: 1em;
   
}

.p-work {
    margin: 0;
    font-size: x-large;
    padding-bottom: 1em;
}

h3#BCS {
    padding-top: 1em;
}

:-webkit-any(article,aside,nav,section) .p-work, h3 {
    font-size: auto;
    margin-block-start: 0;
    margin-block-end: 0;
}

footer {
    background-color: black;
    height: auto;
}

footer h3 {
    color: #F7D559;
    padding-left: 0.5em;
}

footer a{
    color: white;
}

footer a:link, footer a:visited{
    color: white;
}

footer .contact {
    font-size: 1.6vw;
}


